%def_without test
%define module_name Test-DBIx-Class
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/Any.pm) perl(DBD/SQLite.pm) perl(DBIx/Class.pm) perl(DBIx/Class/Schema/PopulateMore.pm) perl(DBIx/Class/TimeStamp.pm) perl(DBIx/Class/UUIDColumns.pm) perl(Data/Perl/Role/Collection/Hash.pm) perl(Data/UUID.pm) perl(Data/Visitor.pm) perl(Digest/MD5.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Hash/Merge.pm) perl(List/MoreUtils.pm) perl(Module/Runtime.pm) perl(Moose.pm) perl(MooseX/Attribute/ENV.pm) perl(MooseX/Types.pm) perl(Path/Class.pm) perl(SQL/Translator.pm) perl(Scalar/Util.pm) perl(Sub/Exporter.pm) perl(Test/Builder.pm) perl(Test/Deep.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(Test/Postgresql58.pm) perl(Test/mysqld.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.52
Release: alt1
Summary: Easier test cases for your DBIx::Class applications
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/Test-DBIx-Class/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NE/NEWELLC/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The goal of this distribution is to make it easier to write test cases for your
the DBIx::Class manpage based applications.  It does this in three ways.  First, it trys
to make it easy to deploy your Schema.  This can be to your dedicated testing
database, or a simple SQLite database.  This allows you to run tests without 
interfering with your development work and having to stop and set up a testing 
database instance.

Second, we allow you to load test fixtures via several different tools.  Last
we create some helper functions in your test script so that you can reduce
repeated or boilerplate code.

Overall, we attempt to reduce the amount of code you have to write before you
can begin writing tests.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.mkdn Changes LICENSE
%perl_vendor_privlib/T*

%changelog
* Tue Oct 30 2018 Igor Vlasenko <viy@altlinux.ru> 0.52-alt1
- regenerated from template by package builder

* Wed Dec 16 2015 Igor Vlasenko <viy@altlinux.ru> 0.45-alt1
- update

* Mon Nov 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.43-alt1
- regenerated from template by package builder

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1
- regenerated from template by package builder

* Mon Apr 21 2014 Igor Vlasenko <viy@altlinux.ru> 0.41-alt1
- initial import by package builder

